From 0c8501aefb9d4cee369d8b8c7680a90c6f4ba649 Mon Sep 17 00:00:00 2001
From: wael <wael@waelk.tech>
Date: Feb 21 2023 09:06:49 +0000
Subject: [PATCH 14/33] [phc-intel]: upgrade to v0.3.2.12.43


---

diff --git a/pcr/phc-intel/PKGBUILD b/pcr/phc-intel/PKGBUILD
index 1882257..a697c42 100644
--- a/pcr/phc-intel/PKGBUILD
+++ b/pcr/phc-intel/PKGBUILD
@@ -4,23 +4,30 @@
 # Contributor: tomprogrammer <Thomas-Bahn[at]gmx[dot]net>
 # Maintainer: Wael Karram <wael@waelk.tech>
 
+
+# parabola changes and rationale:
+#  - use versioned VCS tag instead of arbitrary commit
+#  - use version tag as $pkgver
+
+
 pkgname=phc-intel
 _phcver=0.3.2
-pkgver=$_phcver.12.41
+_upstream_ver=rev44
+pkgver=$_phcver.$_upstream_ver
 pkgrel=1
 pkgdesc="Frequency driver for Intel CPUs with undervolting feature"
 pkgdesc+=", (for Core/Core2 systems)"
 url="https://gitlab.com/linux-phc/phc-intel"
 arch=('any')
-arch=('x86_64' 'i686') # avoid publishing to non-x86 arches
+arch=('x86_64' 'i686') # avoid publishing to non-x86 repos
 license=('GPL')
 depends=('dkms')
 # provides=('linux-phc') # useless - no arch, parabola, nor AUR package refers to this
 backup=('etc/default/phc-intel')
-_commit_hash='c0879a65d2687aaddc2b3ea630020e53ae0bc7cf'
+_commit_hash=$_upstream_ver # use tag revNN (see https://gitlab.com/linux-phc/phc-intel/-/tags)
 source=("https://gitlab.com/linux-phc/phc-intel/-/archive/$_commit_hash/phc-intel-$_commit_hash.tar.gz"
         phc-intel.{default,sh,sleep,system-sleep} dkms.conf)
-sha256sums=('52275f7c6880a220983d9541f01e7b3f70d2cd95eadb854e7b77e4c005c3c09e'
+sha256sums=('94e579e8564c2e4d9e4b926ed0328971926fa8e613b2fcf39ab8d9a3d6be0764'
             'ce08a5a4107be1d5723f1f169d515e67b6c77893f3994fc2d0d2ccf611307ed3'
             'b526f3e8e66f6495531f13f2e6867d3a07b2ec7a7c3b8aa061f22be1cd6e770f'
             '569b85988cb38380fec85c25688b76abc24a46601aa8f58eb24eaebf863eebef'

